
QGIS Application - Bug report #20428

QgsMapCanvas.items() crashes QGIS

2018-11-09 09:14 PM - Matthew Jurewicz

Status: Closed

Priority: High

Assignee:

Category: Python bindings / sipify

Affected QGIS version:3.4.1 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 28248

Description

The following line of code crashes QGIS:

iface.mapCanvas().items()

History

#1 - 2018-11-12 11:49 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from Normal to High

- Crashes QGIS or corrupts data changed from No to Yes

Try 3.4.1

#2 - 2018-11-12 04:22 PM - Matthew Jurewicz

Giovanni Manghi wrote:

Try 3.4.1

Also crashes QGIS 3.4.1.

#3 - 2018-11-12 04:26 PM - Giovanni Manghi

- Status changed from Feedback to Open

- Affected QGIS version changed from 3.2.3 to 3.4.1

- Category changed from Map Canvas to Python bindings / sipify

#4 - 2019-01-28 12:54 PM - Peter Petrik

unable to replicate with QGIS 3.5 on MacOS

#5 - 2019-01-28 12:56 PM - Giovanni Manghi

- Status changed from Open to Feedback

#6 - 2019-01-29 03:42 AM - Nyall Dawson
No crash on Linux either.

#7 - 2019-03-08 11:59 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to no timely feedback

Closing for lack of feedback.
